package com.sheep.gamegroup.presenter;

import com.alibaba.fastjson.JSONObject;
import com.sheep.gamegroup.model.entity.BaseMessage;

/**
 * Created by ljy on 2018/4/2.
 */

public interface TaskDetailContract {
    interface Presenter{
        void taskStatus( int id, String screenshots,String remark, String package_name, String status, String device, String unique_identification);
        void taskDesc(int taskid);
    }

    interface View{
        void taskStatusSuccess(BaseMessage baseMessage);
        void taskStatusFaile(BaseMessage baseMessage);
        void taskDescSuccess(BaseMessage baseMessage);
        void taskDescFaile(BaseMessage baseMessage);
    }
}
